Skip to main content

Google Pay Use Cases


Digital payments are electronic payments that transfer funds from one payment account to another. These use cases demonstrate how the authentication service works using a digital payment method like Google Pay.

Device Data Collection Setup Using Google Pay

Running the Setup service identifies the customer's bank and prepares for collecting data about the device that the customer is using to place the order. This use case demonstrates how the service works using a digital payment method like Google Pay.

POST /risk/v1/authentication-setups

POST /risk/v1/authentication-setups

POST /risk/v1/authentication-setups

Example: Device Data Collection Setup Using Google Pay

{  "paymentInformation": {    "fluidData": {      "value": "eyJzaWduYXR1cmUiOiJNRVFDSUVhVVBmc1RIMERyMnZmeG8wVkFlZ3N2bHlSRzdENEFsYmRwa1pPdlNzZGtBaUFVODE2aHpmMG5BMzJzQmx6anlUSURyZXBHNUY1eEtlRmNnSE9aK3RML2ZRXHUwMDNkXHUwMDNkIiwi..."    }  },  "processingInformation": {    "paymentSolution": "012"  }}
{  "consumerAuthenticationInformation": {    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",    "deviceDataCollectionUrl": "https://centinelapistag.cardinalcommerce.com/V1/Cruise/Collect",    "referenceId": "9493f2bf-86b0-44ff-bbce-0f5523e1b34a",    "token": "AxizbwSTVW4Mj1fvsU27ABEBURxPZebOAE1IZNJMvRiuZhTA9AAA+QBf"  },  "id": "6298269599786696003003",  "status": "COMPLETED",  "submitTimeUtc": "2022-08-24T17:42:40Z"}

Card-Specific Requirements

Some payment cards require specific information to be collected during a transaction.

FieldDescription
paymentInformation.card.typeThis field is required when the card type is JCB, Cartes Bancaires, China UnionPay, or Meeza.

Country-Specific Requirements

These fields are required for transactions in specific countries.

FieldDescription
consumerAuthenticationInformation.overrideCountryCodeFor Meeza transactions, this value must be set to EG when Egypt is not set as the country in merchant configuration during merchant boarding.
merchantInformation.merchantDescriptor.countryFor Meeza transactions, this value must be set to EG when Egypt is not set as the country in merchant configuration during merchant boarding.
orderInformation.billTo.administrativeAreaThis field is required for transactions in the US and Canada.
orderInformation.billTo.postalCodeThis field is required when the orderInformation.billTo.country field value is US or CA.

Check Enrollment Using Google Pay

The Check Enrollment service attempts to authenticate the cardholder. This use case demonstrates how the service works using Google Pay as the digital payment method.

POST /risk/v1/authentications

POST /risk/v1/authentications

POST /risk/v1/authentications

Example: Check Enrollment Using Google Pay

{  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": "10.99"    },    "billTo": {      "address1": "1 Market St",      "address2": "Address 2",      "administrativeArea": "CA",      "country": "US",      "locality": "san francisco",      "firstName": "John",      "lastName": "Doe",      "phoneNumber": "4158880000",      "email": "[email protected]",      "postalCode": "94105"    }  },  "paymentInformation": {    "fluidData": {      "value": "eyJzaWduYXR1cmUiOiJNRVFDSUVhVVBmc1RIMERyMnZmeG8wVkFlZ3N2bHlSRzdENEFsYmRwa1pPdlNzZGtBaUFVODE2aHpmMG5BMzJzQmx6anlUSURyZXBHNUY1eEtlRmNnSE9aK3RML2ZRXHUwMDNk..."    }  },  "processingInformation": {    "paymentSolution": "012"  },  "buyerInformation": {    "merchantCustomerId": "334124572",    "mobilePhone": "1245789632"  },  "consumerAuthenticationInformation": {    "transactionMode": "MOTO"  }}
{  "consumerAuthenticationInformation": {    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",    "deviceDataCollectionUrl": "https://centinelapistag.cardinalcommerce.com/V1/Cruise/Collect",    "referenceId": "9493f2bf-86b0-44ff-bbce-0f5523e1b34a",    "token": "AxizbwSTVW4Mj1fvsU27ABEBURxPZebOAE1IZNJMvRiuZhTA9AAA+QBf"  },  "id": "6298269599786696003003",  "status": "COMPLETED",  "submitTimeUtc": "2021-08-24T17:42:40Z"}

Required Fields for Check Enrollment Using Google Pay

The required fields for checking enrollment with Google Pay are the same as the standard Check Enrollment required fields. See Standard Use Cases for the complete field list.

Validating a Challenge Using Google Pay

The Validation service compares the customer's response to the challenge from the issuing bank to validate the customer identity. This use case demonstrates how the service works using Google Pay.

POST /risk/v1/authentication-results

POST /risk/v1/authentication-results

POST /risk/v1/authentication-results

Example: Validate a Challenge Using Google Pay

{  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": "200.00"    },    "lineItems": [      {        "unitPrice": "10",        "quantity": "2",        "taxAmount": "32.40"      }    ]  },  "paymentInformation": {    "card": {      "type": "002",      "expirationMonth": "12",      "expirationYear": "2025",      "number": "5200000000000007"    },    "fluidData": {      "value": "XFx1MDAzZFwiLFwia2V5RXhwaXJhdGlvblwiOlwiMTYzMDUxNjYyODA0OVwifSIsIn..."    }  },  "consumerAuthenticationInformation": {    "authenticationTransactionId": "PYffv9G3sa1e0CQr5fV0"  }}
{  "clientReferenceInformation": {    "code": "1675288043120"  },  "consumerAuthenticationInformation": {    "indicator": "internet",    "ucafCollectionIndicator": "0",    "token": "AxjzbwSTbhMKrRswWTYSABECT9u+QBvfSB84gL2IZNJMvRiyubWAOAAA+Qxb"  },  "id": "6752880430346470503954",  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2023-02-01T21:47:23Z"}

Required Fields for Validating a Challenge Using Google Pay

The required fields for validating a challenge with Google Pay are the same as the standard Validate Authentication required fields. See Standard Use Cases for the complete field list.

Last published: September 29, 2026